## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 28;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global git_date 20160831
%global git_commit_hash 5ce113f4d2a3fc6712f8eb8606a6b0899dc6f8d1

Name: doxy2man
Version: 0
Release: %autorelease
Summary: Create man pages from doxygen XML output

License: GPLv3+
URL: https://github.com/gsauthof/doxy2man
Source0: https://github.com/gsauthof/%{name}/archive/%{git_commit_hash}/%{git_commit_hash}.tar.gz#/%{name}-%{git_commit_hash}.tar.gz

BuildRequires: rpm findutils
BuildRequires: asciidoc
BuildRequires: libxslt
BuildRequires: qt5-qtbase-devel
BuildRequires: qt5-qtxmlpatterns-devel
BuildRequires: make

%description
Doxy2man takes the XML generated by Doxygen as input and creates several
man pages from that. It creates a summary man page for a header and for
each function a detailed man page. The output is optimized for C projects.
It supports the most common doxygen features, e.g. implicit and explicit
see also tags, copyright, author information, brief and detailed
descriptions, etc.

%prep

%setup -qn %{name}-%{git_commit_hash}
sed -i 's|asciidoc.py|asciidoc|g' main.pro
sed -i "s|/usr/share/asciidoc/docbook-xsl/manpage.xsl|$(rpm -q --fileprovide asciidoc|grep manpage.xsl|xargs)|g" main.pro

%build
%{qmake_qt5}
make %{?_smp_mflags}
make %{?_smp_mflags} doxy2man.8


%install
install -m 755 -d %{buildroot}%{_bindir}
install -m 755 doxy2man %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8/
install -p -m 644 doxy2man.8 %{buildroot}%{_mandir}/man8

%files
%{_bindir}/doxy2man
%{_mandir}/man8/doxy2man.8.gz
%license COPYING

%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-28
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 27 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 0-25
- Find manpage.xsl from the rpm of asciidoc

* Wed Jul 26 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 0-24
- switched to autorelease macro

* Wed Jul 26 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 0-23
- Use asciidoc command

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> - 0-16
- Add BuildRequires: make

* Thu Oct 29 2020 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0-15
- updated tarball

* Thu Oct 29 2020 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0-14
- updated to the latest version

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0-9
- Remove obsolete Group tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-6
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Dennis Gilmore <dennis@ausil.us> - 0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Rex Dieter <rdieter@math.unl.edu> - 0-2
- use %%qmake_qt5 macro to ensure proper build flags

* Mon Jun 29 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0-1
- Initial version of the package
## END: Generated by rpmautospec
